summaryrefslogtreecommitdiffstats
path: root/source/d/flex/flex.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/flex/flex.SlackBuild')
-rwxr-xr-xsource/d/flex/flex.SlackBuild10
1 files changed, 6 insertions, 4 deletions
diff --git a/source/d/flex/flex.SlackBuild b/source/d/flex/flex.SlackBuild
index f46b24e94..89239ce21 100755
--- a/source/d/flex/flex.SlackBuild
+++ b/source/d/flex/flex.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=flex
-VERSION=${VERSION:-2.5.35}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -60,7 +60,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION
# Make sure ownerships and permissions are sane:
@@ -78,7 +78,8 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--infodir=/usr/info \
- $ARCH-slackware-linux
+ --docdir=/usr/doc/flex-${VERSION} \
+ --build=$ARCH-slackware-linux
# Build and install:
make $NUMJOBS || make || exit 1
@@ -115,6 +116,7 @@ if [ -d $PKG/usr/info ]; then
fi
# Add a documentation directory:
+rm -rf $PKG/usr/doc/${PKGNAM}-$VERSION
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
ABOUT-NLS AUTHORS COPYING* INSTALL NEWS README* THANKS TODO \